﻿using FukuracamDX;
using System.Collections.Generic;

namespace FatopTheWorld.Scenes{
	class Ranking: FCAMScene{
		const int FRAME_MENU = 1;
		int frame = 0;
		public Ranking(): base(false, FCAMDrawInheritance.Whole){}
		protected override void Load(FCAMGraphics g, FCAMInput input, FCAMContentsManager manager){
#if DEBUG
			if(FCAMDebug.IsDebug){
				Base.Text = "Ranking";
			}
#endif
#if !RANKING
			//	ランキングモードでない時は、このシーンは使用出来ない
			PopScene();
#endif
		}
		protected override void Calc(FCAMInput input, FCAMContentsManager manager){
#if DEBUG
			if(FCAMDebug.IsDebug){
				if(Common.KeyDebug1){
					frame = FRAME_MENU;
				}
			}
#endif
			if(frame < FRAME_MENU){
				frame++;
			}else{
				if(Common.KeyB)
					PopScene();
			}
		}
		protected override void Draw(FCAMGraphics g){
			g.Font = Common.FontCommon;
			g.FillRectangle(new FCAMColor(FCAMColor.HalfValue, FCAMColor.MinValue));
			if(frame >= FRAME_MENU){
				g.DrawString(0, 0, "ランキング");
			}
		}
	}
}
